
TYPO3.TYPO3CR - Bug # 40677

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Should have
Author: Adrian Föder Category: Node handling
Created: 2012-09-06 Assigned To: Tim Kandel
Updated: 2014-11-02 Due date:
Subject: Pasting pastes into target node rather than after
Description

When having the following given node structure (GridContainer and FreeColumn are own Section content elements):

Page
  GridContainer
    FreeColumn ~
    FreeColumn #

I want to make the both FreeColumns siblings. So I
    -  select FreeColumn #
    -  click Cut on it
    -  select FreeColumn ~ via the Inspector
    -  click paste on it

I therefore expect # being a sibling of ~, hence being inserted after rather than into ~.
But the result stays the same: # is child of ~ like before.

History
#1 - 2012-09-06 16:16 - Adrian Föder

sorry I can't update; same with better formatting:

(moved to issue description)

#2 - 2013-04-10 21:01 - Aske Ertmann
- Status changed from New to Needs Feedback
- Assigned To set to Adrian Föder
- Parent task set to #45020

I imagine this is still an issue?

#3 - 2013-04-11 08:30 - Adrian Föder

I can't reproduce this at the moment because cutting and pasting around also is a bit cumbersome (compare to #45542 for example).

#4 - 2013-10-02 18:31 - Tim Kandel
- Status changed from Needs Feedback to Accepted
- Assigned To changed from Adrian Föder to Tim Kandel

#5 - 2013-10-03 11:27 - Tim Kandel

This is already the behavior in master. However it's not always clear because the paste buttons title is always 'Paste after', even though it actually
pastes into content collections. I will push a patch to change that.

#6 - 2013-10-03 11:30 - Tim Kandel
- Status changed from Accepted to Closed
- % Done changed from 0 to 100
